#pragma once

#include "CoreMinimal.h"
#include "UniquelyIdentifiedAnalytic.h"
#include "LightingAnalytics.generated.h"

USTRUCT(BlueprintType)
struct FLightingAnalytics : public FUniquelyIdentifiedAnalytic
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString MatchId;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString SettingType;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	float SettingValue;

public:
	DBDANALYTICS_API FLightingAnalytics();
};

FORCEINLINE uint32 GetTypeHash(const FLightingAnalytics) { return 0; }
